%define name gnome-shell
%define version 2.28.0
%define release %mkrel 1

Summary: Next generation GNOME desktop shell
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPLv2+ and LGPLv2+
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/GnomeShell
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mutter-devel >= 2.28.0
BuildRequires: gjs-devel
BuildRequires: libgstreamer-plugins-base-devel >= 0.10.16
BuildRequires: clutter-gtk-devel
BuildRequires: librsvg-devel
BuildRequires: gnome-menus-devel
BuildRequires: dbus-glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gir-repository
BuildRequires: intltool
Requires: mutter
Requires: gjs
Requires: gir-repository
#gw for glxinfo
Requires: mesa-demos
# for testing without --replace 
Suggests:  x11-server-xephyr xterm
Suggests:  xlogo xeyes 
%description
The GNOME Shell redefines user interactions with the GNOME desktop. In
particular, it offers new paradigms for launching applications,
accessing documents, and organizing open windows in GNOME. Later, it
will introduce a new applets eco-system and offer new solutions for
other desktop features, such as notifications and contacts
management. The GNOME Shell is intended to replace functions handled
by the GNOME Panel and by the window manager in previous versions of
GNOME. The GNOME Shell has rich visual effects enabled by new
graphical technologies.


%prep
%setup -q

%build
%configure2_5x
#gw parallel build broken in 2.27.0
make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

%clean
rm -rf %{buildroot}

%post
%define schemas gnome-shell
%if %mdkversion < 200900
%post_install_gconf_schemas %schemas
%endif

%preun
%preun_uninstall_gconf_schemas %schemas


%files -f %name.lang
%defattr(-,root,root)
#%doc README NEWS AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/gnome-shell.schemas
%_bindir/%name
%_libdir/%name
%_libdir/mutter/plugins/libgnome-shell.la
%_libdir/mutter/plugins/libgnome-shell.so
%_datadir/applications/%name.desktop
%_datadir/%name



%changelog
* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456027
- new version
- update deps

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 443455
- new version

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 432058
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 422175
- new version
- update deps
- add translations

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-4mdv2010.0
+ Revision: 417151
- add missing dep on glxinfo

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-3mdv2010.0
+ Revision: 415271
- remove devel deps again

* Wed Aug 12 2009 Michael Scherer <misc@mandriva.org> 2.27.0-2mdv2010.0
+ Revision: 415259
- add missing requires and suggest

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 414732
- import gnome-shell


* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
- initial package
